Bug 188011 - [PATCH] dns/bind99: Fix startup script
Summary: [PATCH] dns/bind99: Fix startup script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-27 08:40 UTC by takefu
Modified: 2014-03-27 13:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (357 bytes, patch)
2014-03-27 08:40 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2014-03-27 08:40:00 UTC
bind99:
 Fix startup script
 Fix Whitespace to tab

bind98:
 Fix startup script

Port maintainer (mat@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: ports)

Fix: 

named_prestart()
@@ -93,7 +93,7 @@

 	echo ${pidfile%/pid}
 	if [ ! -d ${pidfile%/pid} ]; then
-		install -d -u ${named_uid} -g ${named_uid} ${pidfile%/pid}
+		install -d -o ${named_uid} -g ${named_uid} ${pidfile%/pid}
 	fi

 	command_args="-u ${named_uid:=root} -c $named_conf $command_args"
--- bind98-9.8.7.patch ends here -----FHYZ2iBShIIMJJp359x1bovcw09yH5LZIfMQYCfsGmdYLwQW
Content-Type: text/plain; name="bind99-9.9.5.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="bind99-9.9.5.patch"

diff -ruN /usr/ports/dns/bind99/Makefile ./Makefile
--- /usr/ports/dns/bind99/Makefile	2014-03-26 02:25:17.000000000 +0900
+++ ./Makefile	2014-03-27 17:25:26.000000000 +0900
@@ -70,7 +70,7 @@
 SSL_USE=		openssl=yes
 SSL_CONFIGURE_OFF=	--disable-openssl-version-check --without-openssl

-NEWSTATS_CONFIGURE_ENABLE=     newstats
+NEWSTATS_CONFIGURE_ENABLE=	newstats

 IDN_USES=		iconv
 IDN_CONFIGURE_ON=	--with-idn=${LOCALBASE} ${ICONV_CONFIGURE_BASE}
diff -ruN /usr/ports/dns/bind99/files/named.in ./files/named.in
--- /usr/ports/dns/bind99/files/named.in	2014-03-26 02:25:17.000000000 +0900
+++ ./files/named.in	2014-03-27 17:14:31.000000000 +0900
@@ -80,7 +80,7 @@
 	if [ -e "$1" ]; then
 		unlink $1
 	fi
-	install -u root -g wheel -m 0644 /dev/null $1
+	install -o root -g wheel -m 0644 /dev/null $1
 }

 named_prestart()
@@ -93,7 +93,7 @@

 	echo ${pidfile%/pid}
 	if [ ! -d ${pidfile%/pid} ]; then
-		install -d -u ${named_uid} -g ${named_uid} ${pidfile%/pid}
+		install -d -o ${named_uid} -g ${named_uid} ${pidfile%/pid}
 	fi

 	command_args="-u ${named_uid:=root} -c $named_conf $command_args"
Comment 1 Edwin Groothuis freebsd_committer 2014-03-27 08:40:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-27 13:30:16 UTC
Author: mat
Date: Thu Mar 27 13:30:12 2014
New Revision: 349338
URL: http://svnweb.freebsd.org/changeset/ports/349338
QAT: https://qat.redports.org/buildarchive/r349338/

Log:
  - Fix startup script
  - Fix whitespace
  
  PR:		188011
  Submitted by:	takefu
  Sponsored by:	Absolight

Modified:
  head/dns/bind98/Makefile
  head/dns/bind98/files/named.in
  head/dns/bind99/Makefile
  head/dns/bind99/files/named.in

Modified: head/dns/bind98/Makefile
==============================================================================
--- head/dns/bind98/Makefile	Thu Mar 27 13:28:58 2014	(r349337)
+++ head/dns/bind98/Makefile	Thu Mar 27 13:30:12 2014	(r349338)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bind
 PORTVERSION=	9.8.7
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	dns net ipv6
 MASTER_SITES=	${MASTER_SITE_ISC}
 MASTER_SITE_SUBDIR=	bind9/${ISCVERSION}

Modified: head/dns/bind98/files/named.in
==============================================================================
--- head/dns/bind98/files/named.in	Thu Mar 27 13:28:58 2014	(r349337)
+++ head/dns/bind98/files/named.in	Thu Mar 27 13:30:12 2014	(r349338)
@@ -80,7 +80,7 @@ create_file()
 	if [ -e "$1" ]; then
 		unlink $1
 	fi
-	install -u root -g wheel -m 0644 /dev/null $1
+	install -o root -g wheel -m 0644 /dev/null $1
 }
 
 named_prestart()
@@ -93,7 +93,7 @@ named_prestart()
 
 	echo ${pidfile%/pid}
 	if [ ! -d ${pidfile%/pid} ]; then
-		install -d -u ${named_uid} -g ${named_uid} ${pidfile%/pid}
+		install -d -o ${named_uid} -g ${named_uid} ${pidfile%/pid}
 	fi
 
 	command_args="-u ${named_uid:=root} -c $named_conf $command_args"

Modified: head/dns/bind99/Makefile
==============================================================================
--- head/dns/bind99/Makefile	Thu Mar 27 13:28:58 2014	(r349337)
+++ head/dns/bind99/Makefile	Thu Mar 27 13:30:12 2014	(r349338)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bind
 PORTVERSION=	9.9.5
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	dns net ipv6
 MASTER_SITES=	${MASTER_SITE_ISC}
 MASTER_SITE_SUBDIR=	bind9/${ISCVERSION}
@@ -70,7 +70,7 @@ SSL_CONFIGURE_ON=	--with-openssl=${OPENS
 SSL_USE=		openssl=yes
 SSL_CONFIGURE_OFF=	--disable-openssl-version-check --without-openssl
 
-NEWSTATS_CONFIGURE_ENABLE=     newstats
+NEWSTATS_CONFIGURE_ENABLE=	newstats
 
 IDN_USES=		iconv
 IDN_CONFIGURE_ON=	--with-idn=${LOCALBASE} ${ICONV_CONFIGURE_BASE}

Modified: head/dns/bind99/files/named.in
==============================================================================
--- head/dns/bind99/files/named.in	Thu Mar 27 13:28:58 2014	(r349337)
+++ head/dns/bind99/files/named.in	Thu Mar 27 13:30:12 2014	(r349338)
@@ -80,7 +80,7 @@ create_file()
 	if [ -e "$1" ]; then
 		unlink $1
 	fi
-	install -u root -g wheel -m 0644 /dev/null $1
+	install -o root -g wheel -m 0644 /dev/null $1
 }
 
 named_prestart()
@@ -93,7 +93,7 @@ named_prestart()
 
 	echo ${pidfile%/pid}
 	if [ ! -d ${pidfile%/pid} ]; then
-		install -d -u ${named_uid} -g ${named_uid} ${pidfile%/pid}
+		install -d -o ${named_uid} -g ${named_uid} ${pidfile%/pid}
 	fi
 
 	command_args="-u ${named_uid:=root} -c $named_conf $command_args"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Mathieu Arnold freebsd_committer 2014-03-27 13:30:17 UTC
State Changed
From-To: open->closed

Committed, thanks!